#!/bin/bash 

python3path="/opt/vmware/toolchain/cayman_python-a7b24ae34668cc829e72c7f5317e9316a4286de2/lin64/bin/python3"
sessionid=$(cat /runlist.json | $python3path  -c 'import json,sys;obj=json.load(sys.stdin);print(obj["session"]["uuid"])')
runid=$(cat /runlist.json | $python3path  -c 'import json,sys;obj=json.load(sys.stdin);print(obj["session"]["runUuid"])')
tcname=$(cat /testcase.json | $python3path -c 'import json,sys;obj=json.load(sys.stdin);print(obj["name"])')

    dateTimeDir=$(date '+%m%d%Y%H%M%S')
    testname=$(echo $tcname |  sed -e 's/ /_/g')
    mkdir  -p  /results/$sessionid/$runid/$testname
    mkdir  -p /results/$sessionid/$runid/$testname/$dateTimeDir
    logdir=/results/$sessionid/$runid/$testname/$dateTimeDir
    iptables -A OUTPUT -p icmp -j ACCEPT
    iptables -A INPUT  -p icmp  -j ACCEPT
    iptables -A INPUT  -p tcp --dport 6500 -j ACCEPT
    iptables -A OUTPUT  -p tcp --dport 6500 -j ACCEPT

    echo $logdir
    $python3path $1  "$tcname" $logdir $2

